"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.expect = void 0;

var _expect = _interopRequireDefault(require("expect"));

var _toBeTruthy = require("./matchers/toBeTruthy");

var _toEqual = require("./matchers/toEqual");

var _toMatchSnapshot = require("./matchers/toMatchSnapshot");

var _toMatchText = require("./matchers/toMatchText");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Copyright Microsoft Corporation. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const expect = _expect.default;
exports.expect = expect;

_expect.default.setState({
  expand: false
});

_expect.default.extend({
  toBeChecked: _toBeTruthy.toBeChecked,
  toBeDisabled: _toBeTruthy.toBeDisabled,
  toBeEditable: _toBeTruthy.toBeEditable,
  toBeEmpty: _toBeTruthy.toBeEmpty,
  toBeEnabled: _toBeTruthy.toBeEnabled,
  toBeFocused: _toBeTruthy.toBeFocused,
  toBeHidden: _toBeTruthy.toBeHidden,
  toBeSelected: _toBeTruthy.toBeSelected,
  toBeVisible: _toBeTruthy.toBeVisible,
  toContainText: _toMatchText.toContainText,
  toHaveAttr: _toMatchText.toHaveAttr,
  toHaveCSS: _toMatchText.toHaveCSS,
  toHaveClass: _toMatchText.toHaveClass,
  toHaveData: _toMatchText.toHaveData,
  toHaveId: _toMatchText.toHaveId,
  toHaveLength: _toEqual.toHaveLength,
  toHaveProp: _toEqual.toHaveProp,
  toHaveText: _toMatchText.toHaveText,
  toHaveValue: _toMatchText.toHaveValue,
  toMatchSnapshot: _toMatchSnapshot.toMatchSnapshot
});